# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/NOX clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################


# Include guard
IF (NOX_CONFIG_INCLUDED)
  RETURN()
ENDIF()
SET(NOX_CONFIG_INCLUDED TRUE)

# Make sure CMAKE_CURRENT_LIST_DIR is usable
IF (NOT DEFINED CMAKE_CURRENT_LIST_DIR)
  GET_FILENAME_COMPONENT(_THIS_SCRIPT_PATH ${CMAKE_CURRENT_LIST_FILE} PATH)
  SET(CMAKE_CURRENT_LIST_DIR ${_THIS_SCRIPT_PATH})
ENDIF()


## ---------------------------------------------------------------------------
## Compilers used by Trilinos/NOX build
## ---------------------------------------------------------------------------

SET(NOX_CXX_COMPILER "/opt/intel/compilers_and_libraries_2017.4.196/linux/mpi/intel64/bin_ohpc/mpicxx")

SET(NOX_C_COMPILER "/opt/intel/compilers_and_libraries_2017.4.196/linux/mpi/intel64/bin_ohpc/mpicc")

SET(NOX_FORTRAN_COMPILER "/opt/intel/compilers_and_libraries_2017.4.196/linux/mpi/intel64/bin_ohpc/mpif90")


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/NOX build
## ---------------------------------------------------------------------------

## Set compiler flags, including those determined by build type
SET(NOX_CXX_FLAGS " -std=c++11 -qopenmp -O3 -DNDEBUG")

SET(NOX_C_FLAGS " -qopenmp -O3 -DNDEBUG")

SET(NOX_FORTRAN_FLAGS " -O3")

## Extra link flags (e.g., specification of fortran libraries)
SET(NOX_EXTRA_LD_FLAGS "")

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
SET(NOX_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/opt/ohpc/pub/libs/intel/impi/trilinos/12.10.1/lib")
SET(NOX_BUILD_SHARED_LIBS "ON")

SET(NOX_LINKER /usr/bin/ld)
SET(NOX_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## List of package include dirs
SET(NOX_INCLUDE_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../include")

## List of package library paths
SET(NOX_LIBRARY_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../lib")

## List of package libraries
SET(NOX_LIBRARIES "locathyra;locaepetra;localapack;loca;noxepetra;noxlapack;nox;teko;stratimikos;stratimikosbelos;stratimikosaztecoo;stratimikosamesos;stratimikosml;stratimikosifpack;ifpack2-adapters;ifpack2;anasazitpetra;ModeLaplace;anasaziepetra;anasazi;amesos2;belostpetra;belosepetra;belos;ml;ifpack;zoltan2;amesos;galeri-xpetra;galeri-epetra;aztecoo;isorropia;xpetra-sup;xpetra;thyratpetra;thyraepetraext;thyraepetra;thyracore;epetraext;tpetraext;tpetrainout;tpetra;kokkostsqr;tpetrakernels;tpetraclassiclinalg;tpetraclassicnodeapi;tpetraclassic;triutils;zoltan;epetra;rtop;teuchoskokkoscomm;teuchoskokkoscompat;teuchosremainder;teuchosnumerics;teuchoscomm;teuchosparameterlist;teuchoscore;kokkosalgorithms;kokkoscontainers;kokkoscore")

## Specification of directories for TPL headers
SET(NOX_TPL_INCLUDE_DIRS "/opt/ohpc/pub/libs/intel/impi/hdf5/1.10.1/include;/usr/include;/opt/ohpc/pub/libs/intel/impi/boost/1.63.0/include;/opt/intel/compilers_and_libraries_2017.4.196/linux/mkl/include")

## Specification of directories for TPL libraries
SET(NOX_TPL_LIBRARY_DIRS "")

## List of required TPLs
SET(NOX_TPL_LIBRARIES "/usr/lib64/libdl.so;/opt/ohpc/pub/libs/intel/impi/hdf5/1.10.1/lib/libhdf5.so;/usr/lib64/libz.so;/opt/intel/compilers_and_libraries_2017.4.196/linux/mkl/lib/intel64/libmkl_rt.so;/opt/intel/compilers_and_libraries_2017.4.196/linux/mkl/lib/intel64/libmkl_rt.so;/opt/intel/compilers_and_libraries_2017.4.196/linux/mkl/lib/intel64/libmkl_rt.so")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

SET(NOX_MPI_LIBRARIES "")
SET(NOX_MPI_LIBRARY_DIRS "")
SET(NOX_MPI_INCLUDE_DIRS "")
SET(NOX_MPI_EXEC "/opt/intel/compilers_and_libraries_2017.4.196/linux/mpi/intel64/bin/mpiexec")
SET(NOX_MPI_EXEC_MAX_NUMPROCS "4")
SET(NOX_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
SET(NOX_PACKAGE_LIST "NOX;Teko;Stratimikos;Ifpack2;Anasazi;Amesos2;Belos;ML;Ifpack;Zoltan2;Amesos;Galeri;AztecOO;Isorropia;Xpetra;Thyra;ThyraTpetraAdapters;ThyraEpetraExtAdapters;ThyraEpetraAdapters;ThyraCore;EpetraExt;Tpetra;TpetraCore;TpetraTSQR;TpetraKernels;TpetraClassic;Triutils;Zoltan;Epetra;RTOp;Teuchos;TeuchosKokkosComm;TeuchosKokkosCompat;TeuchosRemainder;TeuchosNumerics;TeuchosComm;TeuchosParameterList;TeuchosCore;Kokkos;KokkosAlgorithms;KokkosContainers;KokkosCore")

## The TPLs enabled for this project
SET(NOX_TPL_LIST "DLlib;HDF5;Zlib;Boost;LAPACK;BLAS;MPI;Pthread;MKL")


# Include configuration of dependent packages
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Teko/TekoConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Stratimikos/StratimikosConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Ifpack2/Ifpack2Config.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Anasazi/AnasaziConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Amesos2/Amesos2Config.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Belos/BelosConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../ML/MLConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Ifpack/IfpackConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Zoltan2/Zoltan2Config.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Amesos/AmesosConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Galeri/GaleriConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../AztecOO/AztecOOConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Isorropia/IsorropiaConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Xpetra/XpetraConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Thyra/ThyraConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../ThyraTpetraAdapters/ThyraTpetraAdaptersConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../ThyraEpetraExtAdapters/ThyraEpetraExtAdaptersConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../ThyraEpetraAdapters/ThyraEpetraAdaptersConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../ThyraCore/ThyraCoreConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../EpetraExt/EpetraExtConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Tpetra/TpetraConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TpetraCore/TpetraCoreConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TpetraTSQR/TpetraTSQRConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TpetraKernels/TpetraKernelsConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TpetraClassic/TpetraClassicConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Triutils/TriutilsConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Zoltan/ZoltanConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Epetra/EpetraConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../RTOp/RTOpConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Teuchos/TeuchosConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TeuchosKokkosComm/TeuchosKokkosCommConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TeuchosKokkosCompat/TeuchosKokkosCompatConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TeuchosRemainder/TeuchosRemainderConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TeuchosNumerics/TeuchosNumericsConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TeuchosComm/TeuchosCommConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TeuchosParameterList/TeuchosParameterListConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../TeuchosCore/TeuchosCoreConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../Kokkos/KokkosConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../KokkosAlgorithms/KokkosAlgorithmsConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../KokkosContainers/KokkosContainersConfig.cmake")
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../KokkosCore/KokkosCoreConfig.cmake")

# Import NOX targets
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/NOXTargets.cmake")
